;; ===================================================================================
;; Italian FESTIVAL Modules(IFM)
;; Copyright (C) 2001-2005 by the IFM Development Team
;; at "ISTC-SPFD CNR" and at "ITC-Irst".
;; ===================================================================================
;;	ISTC-SPFD CNR
;;		Istituto di Scienze e Tecnologie della Cognizione
;;		Sezione di Padova "Fonetica e Dialettologia"
;;		Consiglio Nazionale delle Ricerche
;;		Via G. Anghinoni, 10 - 35121 Padova
;;		tel (+39) 049 8274418 - fax (+39) 049 8274416
;;		e-mail: segreteria@pd.istc.cnr.it 
;; 
;;	ITC-irst
;;		Istituto Trentino di Cultura
;;		Centro per la ricerca scientifica e tecnologica 
;;		Via Santa Croce 77 - 38100 Trento ITALIA
;;		tel (+39) 0461-210111 - fax (+39) 0461-980436
;;		e-mail: info@itc.it 
;; ===================================================================================
;; This file is part of IFM.
;; 
;; This program is free software; you can redistribute it and/or
;; modify it under the terms of the GNU General Public License
;; as published by the Free Software Foundation; either version 2
;; of the License, or (at your option) any later version.
;; 
;; This program is distributed in the hope that it will be useful,
;; but WITHOUT ANY WARRANTY; without even the implied warranty of
;; MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
;; GNU General Public License for more details.
;; 
;; You should have received a copy of the GNU General Public License
;; along with this program; if not, write to the Free Software
;; Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
;; ===================================================================================
;; Authors:	Piero COSI, ISTC-SPFD CNR, (cosi@pd.istc.cnr.it)
;; 		Carlo DRIOLI
;; 		Graziano TISATO
;; 		Roberto GRETTER, ITC-irst (SSI/MPA), (gretter@itc.it) 
;; 		Fabio TESSER
;; ===================================================================================
;;		WEB:  http://www.pd.istc.cnr.it/TTS/ItalianFESTIVAL
;; ===================================================================================
;;
;; Definitions of Italian Phonemes and  
;; Duration models trained by festvox with statistical CART
;;
;; ===================================================================================
;;
;;
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;; NOTA_1: Nella definizione delle medie e devstd l'ordine dei caqmpi :
;; 		(med devstd)
;; Duration models autotrained by festvox
;; dur.S100.tree
(set! ifd_diph_ds::phone_durs '
((# 0.2 0.1)
 (dz 0.07404 0.04761)
 (S 0.080323 0.03403)
 (ng 0.07205 0.031054)
 (nf 0.048434 0.02506)
 (w 0.03922 0.02)
 (E 0.045 0.021213)
 (L 0.04298 0.02401)
 (g 0.066439 0.024859)
 (v 0.054885 0.026364)
 (O1 0.10101 0.054134)
 (k 0.08709 0.056072)
 (J 0.045732 0.018017)
 (o1 0.080577 0.049468)
 (z 0.074247 0.025445)
 (b 0.066214 0.02968)
 (j 0.053492 0.027873)
 (u1 0.086907 0.049386)
 (r 0.042248 0.020536) ;0.042248 0.020536)
 (s 0.081014 0.036614)
 (dZ 0.092363 0.044758)
 (ts 0.073993 0.055017)
 (e1 0.065428 0.048684)
 (i1 0.068941 0.04246)
 (o 0.067393 0.038769)
 (t 0.080033 0.05553)
 (u 0.060831 0.026313)
 (a 0.063865 0.039864)
 (l 0.043933 0.024519)
 (e 0.062816 0.041234)
 (n 0.053279 0.027476)
 (E1 0.083415 0.044626)
 (f 0.087695 0.042924)
 (d 0.069142 0.03962)
 (i 0.060185 0.03338)
 (p 0.0783 0.040803)
 (m 0.054346 0.024986)
 (a1 0.1025 0.061986)
 (tS 0.101225 0.049675)
 ;aggiungo a mano O=E e Z=S e tolgo la pausa # statistica.
 (O 0.045 0.021213)
 (Z 0.080323 0.03403)
 ;(# 0.112357 0.106905)
 )
)

;; NOTA_2: Nella definizione del cart tree l'ordine dei campi :
;; 		(devstd med)

(set! ifd_diph_ds::zdurtree '
((name is #)
 ((p.R:SylStructure.parent.parent.pbreak is BB)
  ((0.0 2.0))
  ((p.R:SylStructure.parent.parent.pbreak is B)
   ((0.0 1.5))
   ((0.0 1.0))))
((n.name is l)
 ((R:SylStructure.parent.syl_codasize < 1.1)
  ((name is i)
   ((0.385262 -0.432885))
   ((R:SylStructure.parent.R:Syllable.p.accented is 0)
    ((name is o)
     ((0.558874 -0.150321))
     ((R:SylStructure.parent.position_type is mid)
      ((name is a1) ((0.764612 0.373453)) ((0.745746 0.0390788)))
      ((1.3397 0.0167954))))
    ((R:SylStructure.parent.position_type is final)
     ((0.948481 -0.0245943))
     ((0.723369 -0.157566)))))
  ((R:SylStructure.parent.position_type is mid)
   ((0.776458 0.073918))
   ((R:SylStructure.parent.R:Syllable.p.accented is 0)
    ((lisp_onset_fric is 0)
     ((p.name is a1)
      ((0.749699 -0.736116))
      ((pp.ph_vrnd is +)
       ((0.41976 -0.535309))
       ((p.name is o)
        ((0.714412 -0.568458))
        ((p.name is e1)
         ((0.649545 -0.518483))
         ((p.name is d)
          ((0.450478 -0.479043))
          ((name is i1)
           ((0.783709 -0.51525))
           ((p.ph_vc is +)
            ((name is l) ((0.725042 -0.241328)) ((1.9271 -0.0561171)))
            ((0.543599 -0.291503)))))))))
     ((0.808501 -0.0420574)))
    ((R:SylStructure.parent.position_type is single)
     ((0.666308 -0.508552))
     ((name is l)
      ((0.686486 -0.329471))
      ((p.ph_vc is +) ((0.940816 -0.0472599)) ((0.894079 0.104892))))))))
 ((p.name is r)
  ((name is s)
   ((0.977655 1.05476))
   ((n.ph_ctype is 0)
    ((name is r)
     ((1.63503 -0.263461))
     ((name is j)
      ((0.959871 -0.189589))
      ((R:SylStructure.parent.R:Syllable.n.syl_onsetsize < 0.3)
       ((pp.ph_vrnd is +)
        ((1.50703 0.412305))
        ((R:SylStructure.parent.parent.nn.tPOS is S)
         ((1.15103 0.12091))
         ((R:SylStructure.parent.syl_break is 1)
          ((1.32007 0.347718))
          ((0.959791 0.199878)))))
       ((n.ph_vc is +)
        ((R:SylStructure.parent.syl_codasize < 1.1)
         ((R:SylStructure.parent.parent.nn.tPOS is S)
          ((0.928713 0.597109))
          ((R:SylStructure.parent.position_type is final)
           ((0.777038 0.376047))
           ((0.84922 0.489394))))
         ((0.710175 0.712383)))
        ((0.699135 0.275873))))))
    ((name is i1)
     ((0.865509 0.444502))
     ((name is a1)
      ((0.899202 0.374816))
      ((R:SylStructure.parent.parent.nn.tPOS is 0)
       ((0.534963 -0.218275))
       ((name is o)
        ((n.ph_ctype is s)
         ((0.544644 -0.089542))
         ((0.449582 -0.198134)))
        ((n.ph_cplace is l)
         ((0.76759 -0.0990488))
         ((name is a)
          ((0.736704 -0.0457161))
          ((name is i)
           ((0.825182 0.0496432))
           ((R:SylStructure.parent.position_type is initial)
            ((name is e) ((0.420503 -0.224197)) ((0.772295 0.325627)))
            ((R:SylStructure.parent.parent.nn.tPOS is S)
             ((1.046 0.41749))
             ((1.02296 0.253974)))))))))))))
  ((n.name is i1)
   ((R:SylStructure.parent.position_type is initial)
    ((p.ph_vc is +) ((1.31261 0.660758)) ((1.02137 0.277748)))
    ((name is r)
     ((0.703222 -0.0639588))
     ((R:SylStructure.parent.parent.nn.tPOS is nil)
      ((1.35639 0.446544))
      ((p.name is o)
       ((1.04703 0.0792232))
       ((p.ph_vc is +)
        ((R:SylStructure.parent.R:Syllable.n.syl_onsetsize < 0.3)
         ((1.56571 0.548523))
         ((R:SylStructure.parent.parent.nn.tPOS is S)
          ((1.02888 0.428925))
          ((name is d) ((0.982867 0.0672012)) ((0.679406 0.245447)))))
        ((R:SylStructure.parent.R:GrRespiro.parent.R:IntEvent.p.name
          is
          Accented)
         ((1.20121 0.195755))
         ((1.25346 0.0118108))))))))
   ((n.name is O1)
    ((R:SylStructure.parent.position_type is initial)
     ((lisp_onset_fric is 0)
      ((R:SylStructure.parent.R:Syllable.p.accented is 0)
       ((1.12083 0.498357))
       ((1.11452 0.690527)))
      ((0.988985 0.340713)))
     ((p.ph_vc is +) ((1.21888 0.445341)) ((0.710002 0.0539565))))
    ((n.name is o1)
     ((R:SylStructure.parent.position_type is initial)
      ((p.ph_vc is +) ((1.33367 0.745224)) ((0.97572 0.355879)))
      ((R:SylStructure.parent.R:GrRespiro.parent.R:IntEvent.p.name
        is
        Accented)
       ((p.name is ts)
        ((0.928337 0.0660513))
        ((name is k) ((0.753455 0.0874365)) ((0.778999 0.319783))))
       ((0.883688 -0.00359926))))
     ((p.name is ts)
      ((name is ts)
       ((0.640977 0.734116))
       ((n.ph_vc is +) ((0.943367 -0.249266)) ((1.44396 0.433719))))
      ((name is ts)
       ((n.name is ts) ((0.276619 -0.973274)) ((0.506635 0.397866)))
       ((p.name is #)
        ((name is l)
         ((1.01792 0.16958))
         ((name is k)
          ((0.578095 -0.478982))
          ((R:SylStructure.parent.R:GrRespiro.parent.R:IntEvent.p.name
            is
            Accented)
           ((n.ph_ctype is 0)
            ((R:SylStructure.parent.syl_break is 1)
             ((0.859751 -0.377171))
             ((0.943259 -0.257436)))
            ((1.01055 -0.46822)))
           ((n.ph_cplace is a)
            ((0.664171 -0.303927))
            ((R:SylStructure.parent.position_type is initial)
             ((1.26859 -0.152996))
             ((0.78531 -0.274547)))))))
        ((n.name is a)
         ((R:SylStructure.parent.position_type is initial)
          ((R:SylStructure.parent.R:GrRespiro.parent.R:IntEvent.p.name
            is
            Accented)
           ((name is p) ((0.947083 0.0167013)) ((1.17778 0.123979)))
           ((0.742053 -0.0682127)))
          ((R:SylStructure.parent.R:Syllable.n.syl_onsetsize < 0.3)
           ((R:SylStructure.parent.position_type is single)
            ((0.933084 -0.299782))
            ((name is t)
             ((1.91267 0.169129))
             ((R:SylStructure.parent.R:Syllable.p.accented is 0)
              ((1.20806 0.0412901))
              ((R:SylStructure.parent.syl_break is 1)
               ((1.02432 -0.0635085))
               ((0.706097 -0.260753))))))
           ((name is t)
            ((R:SylStructure.parent.R:Syllable.p.accented is 0)
             ((0.498121 -0.169619))
             ((1.28742 0.0457128)))
            ((p.name is l)
             ((0.695222 -0.593866))
             ((p.ph_vc is +)
              ((lisp_onset_fric is 0)
               ((R:SylStructure.parent.position_type is final)
                ((p.name is u1)
                 ((0.468144 -0.420491))
                 ((0.590124 -0.168974)))
                ((R:SylStructure.parent.syl_codasize < 1.1)
                 ((0.528166 -0.371346))
                 ((0.447423 -0.45014))))
               ((0.592654 -0.491448)))
              ((R:SylStructure.parent.position_type is final)
               ((0.788783 -0.0312667))
               ((0.580639 -0.325596))))))))
         ((n.name is o)
          ((R:SylStructure.parent.position_type is initial)
           ((p.ph_vc is +)
            ((R:SylStructure.parent.R:Syllable.p.accented is 0)
             ((R:SylStructure.parent.syl_codasize < 1.1)
              ((1.02533 0.0707387))
              ((1.01055 0.206165)))
             ((1.37007 0.319043)))
            ((R:SylStructure.parent.R:Syllable.p.accented is 0)
             ((0.73405 -0.372323))
             ((0.800756 -0.0529806))))
           ((name is t)
            ((p.ph_vc is +)
             ((R:SylStructure.parent.R:Syllable.n.syl_onsetsize < 0.3)
              ((1.69391 0.258472))
              ((1.02154 -0.00219471)))
             ((R:SylStructure.parent.R:Syllable.n.syl_onsetsize < 0.3)
              ((0.84656 -0.0147677))
              ((0.577779 -0.135468))))
            ((name is n)
             ((R:SylStructure.parent.R:Syllable.n.syl_onsetsize < 0.3)
              ((0.5996 -0.276643))
              ((0.610801 -0.456291)))
             ((name is r)
              ((p.ph_vc is +)
               ((0.468885 -0.474678))
               ((0.709053 -0.350666)))
              ((p.name is n)
               ((0.736568 -0.46878))
               ((R:SylStructure.parent.R:Syllable.p.accented is 0)
                ((p.ph_vc is +)
                 ((R:SylStructure.parent.position_type is mid)
                  ((0.923695 -0.106369))
                  ((0.73331 -0.346941)))
                 ((0.554766 -0.379535)))
                ((lisp_onset_fric is 0)
                 ((0.867613 -0.0481002))
                 ((0.765821 -0.176729)))))))))
          ((p.name is w)
           ((n.name is s)
            ((0.333715 -0.56374))
            ((R:SylStructure.parent.syl_codasize < 1.1)
             ((0.875883 -0.217151))
             ((0.585887 -0.400287))))
           ((n.name is e)
            ((R:SylStructure.parent.position_type is initial)
             ((name is r)
              ((0.650833 -0.0854215))
              ((lisp_onset_fric is 0)
               ((R:SylStructure.parent.syl_codasize < 1.1)
                ((1.48243 0.405662))
                ((1.00557 0.183664)))
               ((1.36964 0.457791))))
             ((R:SylStructure.parent.position_type is single)
              ((1.12626 0.0886552))
              ((R:SylStructure.parent.R:Syllable.n.syl_onsetsize < 0.3)
               ((R:SylStructure.parent.syl_break is 4)
                ((0.607999 -0.235266))
                ((1.01363 -0.0992736)))
               ((name is t)
                ((0.657096 -0.125469))
                ((p.name is l)
                 ((0.577305 -0.543655))
                 ((name is l)
                  ((0.553621 -0.0212211))
                  ((name is n)
                   ((0.687231 -0.43358))
                   ((R:SylStructure.parent.syl_codasize < 1.1)
                    ((0.616845 -0.327373))
                    ((0.81548 -0.219402))))))))))
            ((name is l)
             ((p.name is e1)
              ((1.42608 0.7104))
              ((R:SylStructure.parent.position_type is mid)
               ((n.ph_vc is +)
                ((p.ph_vc is +)
                 ((0.608395 -0.0349152))
                 ((0.614327 -0.274546)))
                ((0.759346 0.229234)))
               ((n.ph_ctype is s)
                ((n.ph_cplace is v)
                 ((0.795948 -0.244374))
                 ((1.17974 0.105639)))
                ((R:SylStructure.parent.R:Syllable.p.accented is 0)
                 ((R:SylStructure.parent.syl_break is 1)
                  ((1.14209 0.21332))
                  ((0.837023 0.421077)))
                 ((R:SylStructure.parent.position_type is final)
                  ((0.746774 0.343738))
                  ((1.38967 0.619149)))))))
             ((R:SylStructure.parent.position_type is single)
              ((n.ph_ctype is 0)
               ((name is i1)
                ((0.74106 -0.490558))
                ((n.ph_vc is +)
                 ((p.name is o)
                  ((0.991885 -0.0492324))
                  ((name is n)
                   ((1.23862 -0.0309031))
                   ((lisp_onset_fric is 0)
                    ((n.name is e1)
                     ((1.74666 0.309596))
                     ((p.ph_vc is +)
                      ((1.353 0.202512))
                      ((1.02473 -0.0625131))))
                    ((1.1732 0.356804)))))
                 ((1.08482 0.47853))))
               ((name is a1)
                ((n.ph_cplace is v)
                 ((0.591466 -0.701301))
                 ((n.ph_ctype is f)
                  ((0.714664 -0.650021))
                  ((n.ph_ctype is s)
                   ((0.840833 -0.556241))
                   ((1.25533 -0.422938)))))
                ((n.ph_ctype is n)
                 ((p.name is n)
                  ((0.576812 -0.724143))
                  ((p.ph_vc is +)
                   ((1.01323 -0.30066))
                   ((0.822342 -0.457289))))
                 ((name is E1)
                  ((0.753522 -0.705534))
                  ((p.name is p)
                   ((0.284448 -0.504376))
                   ((name is i1)
                    ((n.ph_ctype is f)
                     ((0.534583 -0.320922))
                     ((n.ph_cplace is a)
                      ((0.881215 -0.0641198))
                      ((0.705243 -0.253396))))
                    ((pp.ph_vrnd is +)
                     ((0.908101 -0.163116))
                     ((n.ph_ctype is f)
                      ((1.06572 -0.0079111))
                      ((n.ph_cplace is a)
                       ((1.42772 0.387507))
                       ((R:SylStructure.parent.syl_codasize < 1.1)
                        ((1.25479 -0.0010492))
                        ((1.47826 0.197842))))))))))))
              ((name is i1)
               ((p.name is t)
                ((0.743092 0.0910796))
                ((pp.ph_vrnd is +)
                 ((1.36667 0.869243))
                 ((lisp_onset_fric is 0)
                  ((R:SylStructure.parent.position_type is mid)
                   ((1.05953 0.649625))
                   ((0.966173 0.300494)))
                  ((0.837683 0.193379)))))
               ((name is a1)
                ((p.name is j)
                 ((0.780393 -0.263374))
                 ((p.ph_vc is +)
                  ((0.977146 -0.153484))
                  ((p.name is t)
                   ((R:SylStructure.parent.position_type is initial)
                    ((0.702033 -0.118114))
                    ((0.983122 0.318552)))
                   ((R:SylStructure.parent.syl_codasize < 1.1)
                    ((n.ph_ctype is s)
                     ((0.77369 0.501889))
                     ((R:SylStructure.parent.position_type is initial)
                      ((0.913725 0.664778))
                      ((0.854366 0.517447))))
                    ((R:SylStructure.parent.position_type is initial)
                     ((0.701136 0.206168))
                     ((0.726773 0.406419)))))))
                ((name is dZ)
                 ((n.name is dZ)
                  ((0.286743 -1.25228))
                  ((0.680757 0.191183)))
                 ((p.name is l)
                  ((n.ph_vc is +)
                   ((R:SylStructure.parent.R:Syllable.n.syl_onsetsize
                     <
                     0.2)
                    ((1.29136 0.201949))
                    ((n.name is a1)
                     ((0.982121 0.879119))
                     ((0.798329 0.53521))))
                   ((name is e)
                    ((n.ph_ctype is s)
                     ((0.592959 -0.228214))
                     ((0.467364 -0.151141)))
                    ((n.name is r)
                     ((1.16082 0.399249))
                     ((name is a)
                      ((R:SylStructure.parent.position_type is final)
                       ((1.0077 0.0203267))
                       ((0.294026 -0.138762)))
                      ((name is i)
                       ((0.683557 -0.0646134))
                       ((name is o)
                        ((0.951194 0.162484))
                        ((n.ph_cplace is a)
                         ((0.979848 0.481634))
                         ((0.874119 0.323368)))))))))
                  ((R:SylStructure.parent.position_type is final)
                   ((n.name is e1)
                    ((1.61169 0.60665))
                    ((n.name is t)
                     ((p.name is e1)
                      ((0.609744 -0.655484))
                      ((0.872789 -0.0660157)))
                     ((n.name is i)
                      ((R:SylStructure.parent.R:Syllable.n.syl_onsetsize
                        <
                        0.3)
                       ((name is t)
                        ((1.2528 0.11366))
                        ((0.99016 -0.0633822)))
                       ((name is n)
                        ((0.776323 -0.258693))
                        ((0.712043 -0.112684))))
                      ((n.name is s)
                       ((pp.ph_vrnd is +)
                        ((1.26859 0.124785))
                        ((1.43158 0.411683)))
                       ((p.name is t)
                        ((R:SylStructure.parent.parent.nn.tPOS is S)
                         ((n.ph_cplace is a)
                          ((0.5179 -0.199523))
                          ((R:SylStructure.parent.R:Syllable.n.syl_onsetsize
                            <
                            0.3)
                           ((0.984359 -0.142772))
                           ((0.536716 -0.0191911))))
                         ((n.name is #)
                          ((0.966002 0.161245))
                          ((name is e)
                           ((1.1981 0.203749))
                           ((n.ph_ctype is s)
                            ((0.953545 0.0659702))
                            ((0.913696 -0.123094))))))
                        ((lisp_onset_fric is 0)
                         ((p.name is tS)
                          ((1.50139 0.344151))
                          ((R:SylStructure.parent.R:Syllable.n.syl_onsetsize
                            <
                            0.3)
                           ((name is a)
                            ((0.986323 -0.10993))
                            ((nn.ph_semi is 0)
                             ((1.11605 0.249919))
                             ((pp.ph_vrnd is +)
                              ((1.03987 -0.108247))
                              ((name is o)
                               ((1.13872 -0.0260526))
                               ((1.23433 0.103028))))))
                           ((name is a)
                            ((n.ph_cplace is a)
                             ((1.3762 0.377632))
                             ((1.13786 0.229048)))
                            ((name is o)
                             ((n.ph_ctype is s)
                              ((0.892031 0.12081))
                              ((1.27561 0.386428)))
                             ((n.name is #)
                              ((0.810325 0.263224))
                              ((name is e)
                               ((n.name is d)
                                ((1.06677 -0.00820047))
                                ((1.57023 0.20454)))
                               ((n.ph_ctype is s)
                                ((0.874338 0.0463774))
                                ((p.ph_vc is +)
                                 ((0.863201 -0.056497))
                                 ((0.655825 -0.239232))))))))))
                         ((p.name is v)
                          ((1.72522 0.505918))
                          ((R:SylStructure.parent.parent.nn.tPOS is 0)
                           ((1.13174 0.0653495))
                           ((1.48425 0.266441))))))))))
                   ((name is n)
                    ((n.ph_ctype is s)
                     ((p.name is E1)
                      ((1.0805 0.709922))
                      ((R:SylStructure.parent.R:GrRespiro.parent.R:IntEvent.p.name
                        is
                        Accented)
                       ((p.name is e1)
                        ((1.08286 0.465372))
                        ((R:SylStructure.parent.R:Syllable.p.accented
                          is
                          0)
                         ((1.08543 0.295163))
                         ((1.02623 0.177281))))
                       ((0.954924 0.0586519))))
                     ((n.name is ts)
                      ((0.80979 0.309028))
                      ((R:SylStructure.parent.position_type is initial)
                       ((n.ph_ctype is 0)
                        ((1.27885 0.424889))
                        ((0.872303 -0.237626)))
                       ((n.name is a1)
                        ((0.426305 -0.10389))
                        ((R:SylStructure.parent.syl_codasize < 1.1)
                         ((0.560654 -0.384299))
                         ((0.806124 -0.293796)))))))
                    ((name is r)
                     ((n.ph_cplace is l)
                      ((1.10014 0.801128))
                      ((n.name is r)
                       ((0.790429 -0.424305))
                       ((n.ph_cplace is a)
                        ((n.name is t)
                         ((0.921508 0.265664))
                         ((1.05466 0.429223)))
                        ((R:SylStructure.parent.position_type
                          is
                          initial)
                         ((n.ph_ctype is 0)
                          ((R:SylStructure.parent.R:Syllable.p.accented
                            is
                            0)
                           ((1.7377 0.391723))
                           ((1.30484 0.1637)))
                          ((0.896759 0.0503721)))
                         ((p.ph_vc is +)
                          ((R:SylStructure.parent.syl_codasize < 1.1)
                           ((0.532385 -0.347833))
                           ((0.693634 -0.247081)))
                          ((0.696433 0.0949764)))))))
                     ((n.ph_ctype is s)
                      ((p.ph_vc is +)
                       ((name is ng)
                        ((0.983581 -0.0146568))
                        ((name is s)
                         ((n.name is t)
                          ((R:SylStructure.parent.position_type
                            is
                            initial)
                           ((0.791847 -0.40693))
                           ((0.849893 -0.269895)))
                          ((0.743193 0.0132733)))
                         ((R:SylStructure.parent.syl_codasize < 1.1)
                          ((1.11876 -0.114736))
                          ((name is m)
                           ((0.846808 -0.182982))
                           ((n.name is t)
                            ((0.467567 -0.530992))
                            ((p.name is a)
                             ((0.382191 -0.940746))
                             ((0.863907 -0.70031))))))))
                       ((n.name is p)
                        ((0.536911 -0.252882))
                        ((name is e)
                         ((0.353458 -0.191086))
                         ((p.name is n)
                          ((0.753281 0.251082))
                          ((name is i)
                           ((R:SylStructure.parent.R:Syllable.p.accented
                             is
                             0)
                            ((0.396289 -0.0955808))
                            ((0.459406 0.0241859)))
                           ((R:SylStructure.parent.position_type
                             is
                             initial)
                            ((R:SylStructure.parent.syl_codasize < 1.1)
                             ((0.839789 0.04811))
                             ((0.528414 -0.11402)))
                            ((0.745186 0.165216))))))))
                      ((name is e1)
                       ((n.ph_cplace is a)
                        ((n.name is n)
                         ((0.737617 0.22483))
                         ((1.00706 0.544579)))
                        ((0.793178 -0.0261506)))
                       ((n.ph_ctype is 0)
                        ((R:SylStructure.parent.position_type
                          is
                          initial)
                         ((p.ph_vc is +)
                          ((name is d)
                           ((n.name is e1)
                            ((0.803545 -0.0522452))
                            ((0.948322 0.153208)))
                           ((p.name is i1)
                            ((1.13018 0.0403392))
                            ((p.name is o)
                             ((1.27516 0.147857))
                             ((p.name is i)
                              ((1.11696 0.174979))
                              ((R:SylStructure.parent.syl_codasize
                                <
                                1.1)
                               ((name is k)
                                ((0.997794 0.23559))
                                ((1.34495 0.481682)))
                               ((1.30832 0.678361)))))))
                          ((n.name is a1)
                           ((1.04 0.0809041))
                           ((p.name is k)
                            ((0.628019 -0.345665))
                            ((R:SylStructure.parent.R:Syllable.n.syl_onsetsize
                              <
                              0.2)
                             ((0.845802 -0.258694))
                             ((0.758428 -0.0892482))))))
                         ((n.name is i)
                          ((lisp_onset_fric is 0)
                           ((p.ph_vc is +)
                            ((R:SylStructure.parent.R:Syllable.p.accented
                              is
                              0)
                             ((0.526877 -0.121661))
                             ((0.611445 -0.0502698)))
                            ((0.593418 -0.228513)))
                           ((p.ph_vc is +)
                            ((0.544426 -0.265429))
                            ((0.663973 -0.445337))))
                          ((R:SylStructure.parent.R:Syllable.p.accented
                            is
                            0)
                           ((ph_semi is +)
                            ((0.947322 0.296071))
                            ((name is d)
                             ((0.645142 -0.248149))
                             ((p.name is n)
                              ((0.658351 0.201589))
                              ((lisp_onset_fric is 0)
                               ((p.name is a)
                                ((0.646346 -0.128692))
                                ((name is k)
                                 ((0.756118 -0.125189))
                                 ((p.name is i)
                                  ((0.703388 0.00475191))
                                  ((0.798675 0.125282)))))
                               ((p.ph_vc is +)
                                ((0.627423 -0.0657747))
                                ((0.554101 -0.188808)))))))
                           ((0.576282 -0.355149)))))
                        ((name is E1)
                         ((R:SylStructure.parent.position_type
                           is
                           initial)
                          ((n.ph_ctype is n)
                           ((0.965205 0.113947))
                           ((1.1715 -0.100309)))
                          ((n.ph_ctype is l)
                           ((0.960819 0.408668))
                           ((0.797345 0.277783))))
                         ((name is u1)
                          ((n.ph_ctype is n)
                           ((1.08138 0.0447005))
                           ((1.00233 0.622445)))
                          ((n.ph_ctype is l)
                           ((name is o1)
                            ((1.00954 0.447131))
                            ((name is O1)
                             ((0.922853 0.305819))
                             ((p.ph_vc is +)
                              ((R:SylStructure.parent.position_type
                                is
                                initial)
                               ((1.06296 0.0725911))
                               ((0.790139 -0.152093)))
                              ((p.name is p)
                               ((name is e)
                                ((0.347729 -0.439894))
                                ((0.551916 -0.226012)))
                               ((R:SylStructure.parent.position_type
                                 is
                                 initial)
                                ((R:SylStructure.parent.R:Syllable.p.accented
                                  is
                                  0)
                                 ((1.32388 0.0699331))
                                 ((0.770595 -0.142348)))
                                ((R:SylStructure.parent.parent.nn.tPOS
                                  is
                                  S)
                                 ((0.449855 -0.30766))
                                 ((R:SylStructure.parent.R:Syllable.p.accented
                                   is
                                   0)
                                  ((0.609186 -0.245635))
                                  ((0.611068 -0.142978)))))))))
                           ((p.ph_vc is +)
                            ((n.ph_ctype is a)
                             ((0.925567 -0.850886))
                             ((n.name is s)
                              ((R:SylStructure.parent.R:Syllable.p.accented
                                is
                                0)
                               ((0.763785 -0.349892))
                               ((0.665104 -0.473967)))
                              ((p.name is o)
                               ((1.78754 0.0235539))
                               ((name is a)
                                ((0.578087 -0.413822))
                                ((n.ph_ctype is f)
                                 ((0.74413 -0.327331))
                                 ((1.23356 -0.140554)))))))
                            ((n.ph_cplace is p)
                             ((R:SylStructure.parent.R:Syllable.p.accented
                               is
                               0)
                              ((0.500286 0.000951512))
                              ((0.782916 0.288656)))
                             ((p.name is j)
                              ((0.760531 -0.386374))
                              ((n.name is z)
                               ((0.807997 0.177577))
                               ((p.name is k)
                                ((n.name is m)
                                 ((0.59899 -0.392443))
                                 ((n.name is n)
                                  ((0.531467 -0.277064))
                                  ((0.559635 -0.184347))))
                                ((name is o1)
                                 ((1.07461 0.356315))
                                 ((lisp_onset_fric is 0)
                                  ((R:SylStructure.parent.syl_codasize
                                    <
                                    1.1)
                                   ((name is i)
                                    ((n.ph_cplace is a)
                                     ((0.470041 -0.282931))
                                     ((0.478611 -0.126996)))
                                    ((name is o)
                                     ((0.580477 -0.169327))
                                     ((n.ph_cplace is a)
                                      ((0.658494 -0.11395))
                                      ((0.899031 0.017261)))))
                                   ((R:SylStructure.parent.R:Syllable.p.accented
                                     is
                                     0)
                                    ((R:SylStructure.parent.position_type
                                      is
                                      initial)
                                     ((0.435546 -0.0573586))
                                     ((0.377154 -0.112453)))
                                    ((0.608999 0.0697082))))
                                  ((R:SylStructure.parent.syl_codasize
                                    <
                                    1.1)
                                   ((R:SylStructure.parent.position_type
                                     is
                                     initial)
                                    ((0.627089 -0.491147))
                                    ((0.546477 -0.192538)))
                                   ((0.500059 -0.088084)))))))))))))))))))))))))))))))))))))
)
)


(provide 'ifd_diph_ds_dur)


